import { BaseMessage, Group } from '@cometchat/chat-sdk-javascript';
import { Ref } from 'vue';
import { ParticipantInfo, SearchedItems, UserChatInfo } from './types';
export declare function getGroup(groupUid: string): Promise<Group | null | undefined>;
export declare function clearGroupChatCount(groupUid: string): Promise<void>;
export declare function getGroupOnlineCount(groupUid: string): Promise<number>;
export declare function getGroupMembersInfo(groupUid: string): Promise<ParticipantInfo[]>;
export declare const userChats: Ref<UserChatInfo[]>;
export declare function getUserChats(): Promise<UserChatInfo[]>;
export declare function searchChat(searchQuery: string, limit?: number): SearchedItems | undefined;
export declare function scrollToMessage(messageId: string): void;
export declare function getSenderDisplayName(message: BaseMessage | undefined, group?: Ref<Group | undefined>): any;
export declare function getMessageTextPreview(message?: BaseMessage, showEmoji?: boolean, showAttachmentName?: boolean): string;
export declare function proxyImage(imageUrl: string): string;
export declare function getMutedUntil(chatUid: string): Promise<Date | null>;
export declare function muteChat(chatUid: string, mutedUntil: Date | null): Promise<Date | null>;
